<!DOCTYPE html>
<html ng-app="myApp.EmployeeRegister">
<head>
    <title>Employee Register</title>
    <link rel="stylesheet" href="EmployeeRegister.css">
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.4.5/angular.min.js"></script>
</head>
<body ng-controller="EmployeeRegisterController" class="container">

<!-- <h2>Handshake test</h2>
 <div ng-init="getRequest()"></div>
 <div ng-controller="testController">
  <h3>{{response.data.handshake}}</h3>
 </div>

 <hr> -->

<div ng-controller="EmployeeRegisterController" class="section">
    <h1>Add an employee</h1>
    <label for="fname">First name:</label>
    <input type="text" id="fname" name="fname" ng-model="firstname"><br><br>
    <label for="lname">Last name:</label>
    <input type="text" id="lname" name="lname" ng-model="lastname"><br><br>
    <label for="pnumber">Phone number:</label>
    <input type="text" id="pnumber" name="pnumber" ng-model="phonenumber"><br><br>
    <label for="email">E-Mail:</label>
    <input type="text" id="email" name="email" ng-model="mail"><br><br>
    <input type="submit" value="Submit" id="submit" ng-click="postEmployee(firstname, lastname, phonenumber, mail)" onClick="window.location.reload();">
</div>


<div ng-init="getEmployees()"></div>

<div ng-controller="EmployeeRegisterController" class="section">
    <h1>Employee list</h1>
    <table border="1" class="styled-table">
        <thead><td>ID</td><td>First Name</td><td>Last Name</td><td>Phone Number</td><td>e-Mail</td></thead>
        <tbody ng-repeat="item in employees.data">
        <tr><td>{{item.id}}</td><td>{{item.firstName}}</td><td>{{item.lastName}}</td><td>{{item.phoneNumber}}</td><td>{{item.email}}</td></tr>
        </tbody>
    </table>

</div>



<div ng-controller="EmployeeRegisterController" class="section">
    <h1>Find an employee</h1>
    <input type="text" id="id" name="ident" ng-model="id">
    <br>
    <br>
    <input type="submit" value="Search" ng-click="getEmployeesByID(id); hideShow=(true)">
    <div ng-controller="EmployeeRegisterController" ng-if="hideShow">
        <table border="1" class="styled-table">
            <thead><td>ID</td><td>First Name</td><td>Last Name</td><td>phone Number</td><td>e-Mail</td></thead>
            <tbody>
            <tr><td>{{employeesByID.data.id}}</td><td>{{employeesByID.data.firstName}}</td><td>{{employeesByID.data.lastName}}</td><td>{{employeesByID.data.phoneNumber}}</td><td>{{employeesByID.data.email}}</td></tr>
            </tbody>
        </table>
        <br>
        <input type="submit" value="Delete" ng-click="deleteEmployeesWithID(id)" onClick="window.location.reload();">
    </div>
</div>

<script src="EmployeeRegister.js"></script>
</body>
</html>
